curl --request POST \
--url https://www.anyfast.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "MiniMax-M2.7",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"max_tokens": 102400,
"temperature": 1,
"top_p": 0.9,
"frequency_penalty": 0,
"presence_penalty": 0,
"stream": false,
"stop": "<string>",
"tools": [
{}
],
"tool_choice": "<unknown>"
}
'import requests
url = "https://www.anyfast.ai/v1/chat/completions"
payload = {
"model": "MiniMax-M2.7",
"messages": [
{
"role": "user",
"content": "Hello!"
}
],
"max_tokens": 102400,
"temperature": 1,
"top_p": 0.9,
"frequency_penalty": 0,
"presence_penalty": 0,
"stream": False,
"stop": "<string>",
"tools": [{}],
"tool_choice": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'MiniMax-M2.7',
messages: [{role: 'user', content: 'Hello!'}],
max_tokens: 102400,
temperature: 1,
top_p: 0.9,
frequency_penalty: 0,
presence_penalty: 0,
stream: false,
stop: '<string>',
tools: [{}],
tool_choice: '<unknown>'
})
};
fetch('https://www.anyfast.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 123,
"model": "MiniMax/MiniMax-M2.7",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "Hello! How can I help you today?",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}minimax-m2.7
Creates a model response for the given chat conversation. MiniMax-M2.7 supports text and tool calls only.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Model ID
MiniMax-M2.7 "MiniMax-M2.7"
A list of messages comprising the conversation so far.
1Show child attributes
Show child attributes
[{ "role": "user", "content": "Hello!" }]
The maximum number of tokens to generate.
1 <= x <= 204800Sampling temperature. Higher values make output more random.
0 <= x <= 21
Nucleus sampling threshold.
0 <= x <= 1Penalizes repeated tokens based on their frequency in the text so far.
-2 <= x <= 2Penalizes tokens that have already appeared in the text.
-2 <= x <= 2If true, stream partial message deltas using SSE.
Sequences where the model will stop generating further tokens.
Tool/function definitions for agentic workflows.
Tool selection strategy.
Was this page helpful?